Get the organization limit status

This is for:

System Administrator
In this article

Retrieving the current limit status of a Coveo organization can be useful to find out whether performing a certain operation is possible.

For example, you may want to check the current number of sources in your organization before creating a new source to ensure you don’t exceed the maximum allowed number of sources.

Use the Get organization limits and their status operation to get the current limit status of a specific Coveo organization.

Request template

GET https://platform.cloud.coveo.com/rest/organizations/<MyOrganizationId>/limits HTTP/1.1

Accept: application/json
Authorization: Bearer <MyAccessToken>

In the request path, replace <MyOrganizationId> with your organization ID.

In the Authorization HTTP header, replace <MyAccessToken> with an access token that grants the privilege to view the target Coveo organization (that is, the View access level on the Organization domain). See Get your Coveo access token and Get the privileges of an access token for more information.

The body of a successful response contains the current limits status of the target Coveo organization.

Sample request

Getting all limit status of a Coveo organization

GET https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organizationg8tp8wu3/limits HTTP/1.1

Accept: application/json
Authorization: Bearer **********-****-****-****-************

Successful response - 200 OK

{
  "content": {
    "numberOfMappingPerSourcesLimit": {
      "limit": 2500
    },
    "licenseExtensionsLimit": {
      "actualCount": 4,
      "limit": 10
    },
    "numberOfExtensionsPerSourceLimit": {
      "limit": 20
    },
    "numberOfSecurityProvidersLimit": {
      "actualCount": 8,
      "limit": 15
    },
    "numberOfSourcesLimit": {
      "actualCount": 7,
      "limit": 15
    }
  },
  "organization": {
    "numberOfSubscriptionsPerUserLimit": {
      "limit": 5
    },
    "numberOfSubscriptionsPerOrganizationLimit": {
      "limit": 100
    },
    "numberOfDailyEmailNotificationsSentPerOrganizationLimit": {
      "limit": 2000
    }
  },
  "searchapi": {},
  "usageAnalytics": {
    "monthlyEventsLimit": {
      "limit": 300000000
    },
    "customDimensionLimit": {
      "limit": 25
    },
    "exportLimit": {
      "limit": 25
    },
    "namedFilterLimit": {
      "limit": 400
    },
    "reportLimit": {
      "limit": 500
    },
    "dailyEventsLimit": {
      "limit": 10000000
    },
    "permissionFilterLimit": {
      "limit": 100
    },
    "queriesPerHourLimit": {
      "limit": 3000
    },
    "exportScheduleLimit": {
      "limit": 25
    }
  }
}